---
sidebar_position: 1
description: Get basic data structure and other functions to work with S3 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, S3]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get basic data structure
 Returns the basic data for request in structured form



`Function GetBasicDataStructure(Val URL, Val AccessKey, Val SecretKey, Val Region, Val Service = "s3") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL: domain for common methods or full URL with parameters for direct request sending |
  | AccessKey | --access | String | &#x2714; | Access key for authorization |
  | SecretKey | --secret | String | &#x2714; | Secret key for authorization |
  | Region | --region | String | &#x2714; | Service region |
  | Service | --service | String | &#x2716; | Type of service, if different from s3 |

  
  Returns:  Structure Of KeyAndValue - Basic request data structure



```bsl title="1C:Enterprise/OneScript code example"
    URL       = "storage-155.s3hoster.by";
    AccessKey = "BRN5RKJE67...";
    SecretKey = "NNhv+i9PrytpT8Tu0C1N...";
    Region    = "BTC";

    Result = OPI_S3.GetBasicDataStructure(URL, AccessKey, SecretKey, Region);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint s3 GetBasicDataStructure \
             --url "storage-564.s3hoster.by" \
             --access "H71HC7EBMR30IOA3DFNE" \
             --secret "***" \
             --region "BTC"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint s3 GetBasicDataStructure ^
             --url "storage-564.s3hoster.by" ^
             --access "H71HC7EBMR30IOA3DFNE" ^
             --secret "***" ^
             --region "BTC"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "URL": "storage-564.s3hoster.by",
 "AccessKey": "***",
 "SecretKey": "***",
 "Region": "BTC",
 "Service": "s3"
}
```
